import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.CsvFileSource;
import org.junit.jupiter.params.provider.ValueSource;

import static org.junit.jupiter.api.Assertions.*;
import static org.junit.jupiter.api.Assumptions.*;

public class EmployeeTest {

    Employee employee = new Employee();

    @Test
    public void sampleTest() {
        int a = 5;
        Assertions.assertTrue(a > 0, "test has failed");
    }

    @ParameterizedTest
    @CsvFileSource(resources="/employees.csv", numLinesToSkip = 1)
    public void csvFileTest(String firstName, String lastName, Integer age, String address1, String address2, String city, String state, Integer zipCode) {
        System.out.println(firstName + lastName);
        Assertions.assertAll(
                () -> Assertions.assertNotNull(firstName),
                () -> Assertions.assertNotNull(lastName),
                () -> Assertions.assertNotNull(age),
                () -> Assertions.assertNotNull(address1),
                () -> Assertions.assertNotNull(address2),
                () -> Assertions.assertNotNull(city),
                () -> Assertions.assertNotNull(state),
                () -> Assertions.assertNotNull(zipCode)
        );
    }

    @Test
    public void addEmployeeTest() {
        Employee employee = new Employee();

        assumingThat(employee != null,
                () -> assertTrue(employee.addEmployee("Aaron", "Burr", 30, "8 Main Street", "Apt 5", "New York", "NY", 12345).toString()
                        .equals("Employee{firstName='Aaron', lastName='Burr', age=30, address1='8 Main Street', address2='Apt 5', city='New York', state='NY', zipCode=12345}")
                )
        );
    }


}
